# Update Network - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-update-vpc

# Update Network

PUT

/

gpus

/

v2

/

networks

/

{network_id}

Try it

Update Network

cURL

```
curl --request PUT \
--url https://api.novita.ai/gpus/v2/networks/{network_id} \
--header 'Authorization: ' \
--header 'Content-Type: ' \
--data '
{
"name": "dev-vpc-renamed"
}
'
```

```
import requests

url = "https://api.novita.ai/gpus/v2/networks/{network_id}"

payload = { "name": "dev-vpc-renamed" }
headers = {
"Content-Type": "",
"Authorization": ""
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
method: 'PUT',
headers: {'Content-Type': '', Authorization: ''},
body: JSON.stringify({name: 'dev-vpc-renamed'})
};

fetch('https://api.novita.ai/gpus/v2/networks/{network_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.novita.ai/gpus/v2/networks/{network_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'dev-vpc-renamed'
]),
CURLOPT_HTTPHEADER => [
"Authorization: ",
"Content-Type: "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.novita.ai/gpus/v2/networks/{network_id}"

payload := strings.NewReader("{\n \"name\": \"dev-vpc-renamed\"\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Content-Type", "")
req.Header.Add("Authorization", "")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.put("https://api.novita.ai/gpus/v2/networks/{network_id}")
.header("Content-Type", "")
.header("Authorization", "")
.body("{\n \"name\": \"dev-vpc-renamed\"\n}")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.novita.ai/gpus/v2/networks/{network_id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = ''
request["Authorization"] = ''
request.body = "{\n \"name\": \"dev-vpc-renamed\"\n}"

response = http.request(request)
puts response.read_body
```

200

```
{}
```

#### Headers

[​](#parameter-content-type)

Content-Type

string

required

Allowed value: application/json.

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Path Parameters

[​](#parameter-network-id)

network_id

string

required

Network ID.

#### Body

application/json

[​](#body-name)

name

string

required

Network name. String, length: 1-30 characters.

Example:

`"dev-vpc-renamed"`

#### Response

200 - application/json

OK

The response is of type `object`.

Last modified on June 23, 2026
